2024-10-03 16:16:01 UTC
64.7 MB
/usr/lib/jvm/liberica8
LANGen_US.UTF-8
LANGUAGEen_US:en
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:df8c81ad3015a34445f331660812d4d20ec5cce7f008a2fe4bed4835fd189b90 - 17.92% (11.6 MB)
[#001] sha256:f80598d4ebe2eedeaabcd8bfca3b310dac44882b57a0dd1897d13332ddca2ec3 - 82.08% (53.1 MB)
/bin/sh -c #(nop) ARG MINIROOTFS
2024-10-03 15:23:17 UTC/bin/sh -c #(nop) ARG LIBC MINIROOTFS
2024-10-03 15:23:17 UTC/bin/sh -c #(nop) ARG APK_REPOS LIBC MINIROOTFS
2024-10-03 15:23:17 UTC/bin/sh -c #(nop) ARG APK_REPOS LIBC LOCALES MINIROOTFS
2024-10-03 15:23:17 UTC/bin/sh -c #(nop) ARG APK_REPOS LIBC LOCALES MAINTAINER MINIROOTFS
2024-10-03 15:23:17 UTC/bin/sh -c #(nop) ARG APK_REPOS DESCRIPTION LIBC LOCALES MAINTAINER MINIROOTFS
2024-10-03 15:23:17 UTC/bin/sh -c #(nop) LABEL maintainer="$MAINTAINER"
2024-10-03 15:23:17 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors="$MAINTAINER"
2024-10-03 15:23:17 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.description="$DESCRIPTION"
2024-10-03 15:23:17 UTC/bin/sh -c #(nop) ADD file:564c45858de4f6f86bc346ddc6fce0fb87030db336ba56bfda3aed099791f13f in /
2024-10-03 15:23:18 UTC|9 APK_REPOS= DESCRIPTION=Alpaquita Stream Glibc LIBC=glibc LOCALES= MAINTAINER=BellSoft <info@bell-sw.com> MINIROOTFS=alpaquita-minirootfs-stream-241003-glibc-x86_64.tar.gz /bin/sh -c set -e; command set -o pipefail; rootfs_libc=$(. /etc/os-release; echo $LIBC_TYPE); case "$LIBC" in glibc|musl) if [ "$rootfs_libc" != "$LIBC" ]; then echo "${MINIROOTFS}: got '${rootfs_libc}', expected '${LIBC}'"; exit 1; fi; ;; *) echo -n "Invalid LIBC: '${LIBC}'. "; echo "Only 'glibc' and 'musl' are supported."; exit 1; ;; esac; if [ -n "$APK_REPOS" ]; then printf '%s\n' $APK_REPOS | tee /etc/apk/repositories; fi; if [ "$LIBC" = "musl" ]; then apk add --no-cache musl-perf; fi; if [ "$LIBC" = "glibc" ] && [ -n "$LOCALES" ]; then apk add --no-cache glibc-locales; locale-gen --no-archive $LOCALES; apk del --no-cache glibc-locales ; rm -f /etc/locale.gen; fi
2024-10-03 15:23:18 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2024-10-03 16:15:58 UTC (FROM docker.io/bellsoft/alpaquita-linux-base:stream-glibc)/bin/sh -c #(nop) ARG BUNDLE_TYPE
2024-10-03 16:15:58 UTC (FROM 90a649b5a71f)/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS
2024-10-03 16:15:58 UTC (FROM a69da587beeb)/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS REMOVE_APK_TOOLS
2024-10-03 16:15:58 UTC (FROM ce5066e3bc38)/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS MAINTAINER REMOVE_APK_TOOLS
2024-10-03 16:15:58 UTC (FROM 1d642abf1ea0)/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS DESCRIPTION MAINTAINER REMOVE_APK_TOOLS
2024-10-03 16:15:59 UTC (FROM a577759e5dd6)/bin/sh -c #(nop) LABEL maintainer="$MAINTAINER"
2024-10-03 16:15:59 UTC (FROM 545cdb4a2dc5)/bin/sh -c #(nop) LABEL org.opencontainers.image.authors="$MAINTAINER"
2024-10-03 16:15:59 UTC (FROM ec67a5b708d2)/bin/sh -c #(nop) LABEL org.opencontainers.image.description="$DESCRIPTION"
2024-10-03 16:15:59 UTC (FROM 79be55b801b2)/bin/sh -c #(nop) ENV LANG=en_US.UTF-8 LANGUAGE=en_US:en
2024-10-03 16:15:59 UTC (FROM 5d8422380a99)/bin/sh -c #(nop) ENV JAVA_HOME="/usr/lib/jvm/liberica8"
2024-10-03 16:16:02 UTC (FROM 69a51ada1993)|14 BUNDLE_TYPE=jdk CDS=no DESCRIPTION=Alpaquita Stream Glibc based image with Liberica JDK 8. MAINTAINER=BellSoft <info@bell-sw.com> REMOVE_APK_TOOLS=no /bin/sh -c set -e; command set -o pipefail; case "$BUNDLE_TYPE" in jre|jdk) ;; *) echo -n "Invalid BUNDLE_TYPE: '${BUNDLE_TYPE}'. "; echo "Only 'jre' and 'jdk' are supported."; exit 1; ;; esac; case "$CDS" in yes|no) ;; *) echo "Invalid CDS: '${CDS}'. "; echo "Only 'yes' and 'no' are supported."; exit 1; ;; esac; case "$REMOVE_APK_TOOLS" in yes|no) ;; *) echo "Invalid REMOVE_APK_TOOLS: '${REMOVE_APK_TOOLS}'. "; echo "Only 'yes' and 'no' are supported."; exit 1; ;; esac; apk add --no-cache "liberica8-${BUNDLE_TYPE}-no-deps"; if [ "$CDS" = "yes" ]; then java -Xshare:dump; fi; if [ "$REMOVE_APK_TOOLS" = "yes" ]; then apk del --no-cache apk-tools; fi
2024-10-03 16:21:05 UTC
63.8 MB
/usr/lib/jvm/liberica8
LANGen_US.UTF-8
LANGUAGEen_US:en
PATH/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
[#000] sha256:a95fcf9843cc74ea63985d9e49d2cb07a000968a4e6280cb07bf994b410195b5 - 16.21% (10.4 MB)
[#001] sha256:e1dd1e44f2d56d1c00e51180f45d0a840158a62fc88cfdd1f0b1d84a9484045b - 83.79% (53.5 MB)
/bin/sh -c #(nop) ARG MINIROOTFS
2024-10-03 15:30:20 UTC/bin/sh -c #(nop) ARG LIBC MINIROOTFS
2024-10-03 15:30:20 UTC/bin/sh -c #(nop) ARG APK_REPOS LIBC MINIROOTFS
2024-10-03 15:30:20 UTC/bin/sh -c #(nop) ARG APK_REPOS LIBC LOCALES MINIROOTFS
2024-10-03 15:30:20 UTC/bin/sh -c #(nop) ARG APK_REPOS LIBC LOCALES MAINTAINER MINIROOTFS
2024-10-03 15:30:20 UTC/bin/sh -c #(nop) ARG APK_REPOS DESCRIPTION LIBC LOCALES MAINTAINER MINIROOTFS
2024-10-03 15:30:20 UTC/bin/sh -c #(nop) LABEL maintainer="$MAINTAINER"
2024-10-03 15:30:20 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.authors="$MAINTAINER"
2024-10-03 15:30:20 UTC/bin/sh -c #(nop) LABEL org.opencontainers.image.description="$DESCRIPTION"
2024-10-03 15:30:20 UTC/bin/sh -c #(nop) ADD file:fe1c2536826cdfbf6b604f2cd89851632c96aad3997bbff8b60bf7eaa2028b10 in /
2024-10-03 15:30:21 UTC|9 APK_REPOS= DESCRIPTION=Alpaquita Stream Glibc LIBC=glibc LOCALES= MAINTAINER=BellSoft <info@bell-sw.com> MINIROOTFS=alpaquita-minirootfs-stream-241003-glibc-aarch64.tar.gz /bin/sh -c set -e; command set -o pipefail; rootfs_libc=$(. /etc/os-release; echo $LIBC_TYPE); case "$LIBC" in glibc|musl) if [ "$rootfs_libc" != "$LIBC" ]; then echo "${MINIROOTFS}: got '${rootfs_libc}', expected '${LIBC}'"; exit 1; fi; ;; *) echo -n "Invalid LIBC: '${LIBC}'. "; echo "Only 'glibc' and 'musl' are supported."; exit 1; ;; esac; if [ -n "$APK_REPOS" ]; then printf '%s\n' $APK_REPOS | tee /etc/apk/repositories; fi; if [ "$LIBC" = "glibc" ] && [ -n "$LOCALES" ]; then apk add --no-cache glibc-locales; locale-gen --no-archive $LOCALES; apk del --no-cache glibc-locales ; rm -f /etc/locale.gen; fi
2024-10-03 15:30:21 UTC/bin/sh -c #(nop) CMD ["/bin/sh"]
2024-10-03 16:20:51 UTC (FROM docker.io/bellsoft/alpaquita-linux-base:stream-glibc)/bin/sh -c #(nop) ARG BUNDLE_TYPE
2024-10-03 16:20:51 UTC (FROM 88af1e576823)/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS
2024-10-03 16:20:51 UTC (FROM d5e6f92f0976)/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS REMOVE_APK_TOOLS
2024-10-03 16:20:51 UTC (FROM c3d43ffea00a)/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS MAINTAINER REMOVE_APK_TOOLS
2024-10-03 16:20:51 UTC (FROM da915970097f)/bin/sh -c #(nop) ARG BUNDLE_TYPE CDS DESCRIPTION MAINTAINER REMOVE_APK_TOOLS
2024-10-03 16:20:51 UTC (FROM 01db9efa001f)/bin/sh -c #(nop) LABEL maintainer="$MAINTAINER"
2024-10-03 16:20:51 UTC (FROM 52880d179dc4)/bin/sh -c #(nop) LABEL org.opencontainers.image.authors="$MAINTAINER"
2024-10-03 16:20:51 UTC (FROM e21ddd48f488)/bin/sh -c #(nop) LABEL org.opencontainers.image.description="$DESCRIPTION"
2024-10-03 16:20:51 UTC (FROM 612458a60a39)/bin/sh -c #(nop) ENV LANG=en_US.UTF-8 LANGUAGE=en_US:en
2024-10-03 16:20:51 UTC (FROM 76fda084edda)/bin/sh -c #(nop) ENV JAVA_HOME="/usr/lib/jvm/liberica8"
2024-10-03 16:21:05 UTC (FROM a61ecd7525fe)|14 BUNDLE_TYPE=jdk CDS=no DESCRIPTION=Alpaquita Stream Glibc based image with Liberica JDK 8. MAINTAINER=BellSoft <info@bell-sw.com> REMOVE_APK_TOOLS=no /bin/sh -c set -e; command set -o pipefail; case "$BUNDLE_TYPE" in jre|jdk) ;; *) echo -n "Invalid BUNDLE_TYPE: '${BUNDLE_TYPE}'. "; echo "Only 'jre' and 'jdk' are supported."; exit 1; ;; esac; case "$CDS" in yes|no) ;; *) echo "Invalid CDS: '${CDS}'. "; echo "Only 'yes' and 'no' are supported."; exit 1; ;; esac; case "$REMOVE_APK_TOOLS" in yes|no) ;; *) echo "Invalid REMOVE_APK_TOOLS: '${REMOVE_APK_TOOLS}'. "; echo "Only 'yes' and 'no' are supported."; exit 1; ;; esac; apk add --no-cache "liberica8-${BUNDLE_TYPE}-no-deps"; if [ "$CDS" = "yes" ]; then java -Xshare:dump; fi; if [ "$REMOVE_APK_TOOLS" = "yes" ]; then apk del --no-cache apk-tools; fi
Please be careful as this will not just delete the reference but also the actual content!
For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.